First of all, thanks for your interest in contributing to this project. This document is intended to ease the process for first time contributors and long-time contributors alike.

## Reporting Bugs/Requesting Features

- If you have found a bug in the plugin, or you would like to request a new feature, create a new issue.
- If you would like to send a pull request to add a new feature or fix a bug, we are thrilled, but please create an issue so that we can reach a consensus on how to handle the patch/enhancement.
- Please do not attempt to hijack an exisitng issue to discuss separate issues, create a new issue.
- Please try to contain issues to one problem, create a new issue.

## Submitting Pull Requests

- No PR shall be accepted to the `master` branch.
- Code should conform to PSR-2 coding standards
- The first commit in the PR must be titled after this pattern: `Fixes #{Issue Number}` e.g. "Fixes #474".
- If there are multiple commits in the PR, subsequent commits must be title after this pattern: `For #{Issue Number}` e.g. "For #474"
- Commit titles may include any other text after the required pattern as long as it is separated by at least one space.
- PR must include the issue that is being addressed anywhere in the title e.g. #474

## Editing Documentation

This project's wiki is currently closed to public edits. If you are interested in contributing to the documentation of this software please contact the project administrator via email: `admin@rantcentralforums.com`
